#pragma semicolon 1

#include <sourcemod>
#include <cssclantags>

#define PLUGIN_VERSION "1.0.0"

new Handle:g_hCvarId;

public Plugin:myinfo = {
    name = "TagBlock",
    author = "bl4nk",
    description = "Block a certain tag from being used",
    version = "1.0.0",
    url = "http://forums.alliedmods.net/"
};

public OnPluginStart() {
    CreateConVar("sm_tagblock_version", PLUGIN_VERSION, "TagBlock Version", FCVAR_PLUGIN|FCVAR_SPONLY|FCVAR_REPLICATED|FCVAR_NOTIFY);
    g_hCvarId = CreateConVar("sm_tagblock_tag", "", "Tag to block from showing on the scoreboard", FCVAR_PLUGIN);
}

public OnClientSettingsChanged(iClient) {
    new AdminId:iAdmin = GetUserAdmin(iClient);
    if (iAdmin != INVALID_ADMIN_ID && GetAdminFlag(iAdmin, Admin_Generic)) {
        decl String:szTag[32], String:szClanId[32];
        CS_GetClientClanTag(iClient, szTag, sizeof(szTag));
        GetConVarString(g_hCvarId, szClanId, sizeof(szClanId));
        
        if (strlen(szTag) > 0 && strlen(szClanId) > 0 && strcmp(szTag, szClanId) == 0) {
            CS_SetClientClanTag(iClient, "");
        }
    }
}